Subject: Re: [PATCH 3/5] system: image: Add wsl-tarball support.

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 15 Feb 2022 15:10:43 +0100

Hi,

Am Donnerstag, dem 10.02.2022 um 06:27 +0000 schrieb Alex Griffin:
> This patch adds the wsl-tarball image type. The difference between
> this and the plain tarball type is the creation of the symlinks at
> /bin/sh and /bin/mount.
> 
> These are necessary for the first boot to work after importing. We
> can’t rely on special-files-service-type for this because the system
> is not activated yet, and the /bin/sh symlink initiates the first
> system activation.
I don't think this ad-hoc hack "deserves" its own tarball type. 
Imagine WSL 3 requires /bin/ed besides /bin/sh and /bin/mount, then
you'd need to add a wsl3-tarball-type, and so on and so forth.

I think the correct way of implementing this would be to make image
respect --symlink the way guix pack does.  WDYT?